## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:		fontawesome-fonts
Summary:	Support files for the FontAwesome fonts
Epoch:		1
Version:	6.7.2
Release:	%autorelease

License:	MIT
URL:		https://fontawesome.com/
VCS:		git:https://github.com/FortAwesome/Font-Awesome.git
BuildArch:	noarch

%global _desc %{expand:
Font Awesome gives you scalable vector icons that can instantly be
customized - size, color, drop shadow, and anything that can be done
with the power of CSS.}

%global fontlicense	OFL-1.1-RFN
%global fontlicenses	LICENSE.txt
%global fontdocs	CHANGELOG.md README.md UPGRADING.md
%global fontorg		com.fontawesome

%global fontfamily1	FontAwesome 6 Free
%global fontsummary1	Iconic font set
%global fonts1		otfs/*Free*
%global fontconfs1	%{SOURCE3}
%global fontpkgheader1	%{expand:
# This can be removed when F42 reaches EOL
Obsoletes:	fontawesome5-free-fonts < 5.15.4-5
Provides:	fontawesome5-free-fonts = %{version}-%{release}
}
%global fontdescription1 %{expand:%_desc

The FontAwesome Free Fonts contain large numbers of icons packaged as
font files.}

%global fontfamily2	FontAwesome 6 Brands Regular
%global fontsummary2	Iconic font set
%global fonts2		otfs/*Brands*
%global fontconfs2	%{SOURCE4}
%global fontpkgheader2	%{expand:
# This can be removed when F42 reaches EOL
Obsoletes:	fontawesome5-brands-fonts < 5.15.4-5
Provides:	fontawesome5-brands-fonts = %{version}-%{release}
}
%global fontdescription2 %{expand:%_desc

The FontAwesome Brand Fonts contain brand logos packaged as font files.}

Source0:	https://github.com/FortAwesome/Font-Awesome/archive/%{version}/Font-Awesome-%{version}.tar.gz
# Script to generate Source2
Source1:	trademarks.py
Source2:	README-Trademarks.txt
Source3:	60-%{fontpkgname1}.conf
Source4:	60-%{fontpkgname2}.conf

# Not for upstream.  This patch modifies the CSS to point to local OpenType
# font files, rather than to the eot, svg, ttf, woff, and woff2 web fonts, as
# required by Fedora's font packaging guidelines.
Patch:          %{name}-opentype-css.patch

%description %_desc

%fontpkg -a

# NOTE: We would like to do this here:
#%%fontmetapkg -d %%_desc
# However, the fontmetapkg macro has no facility for adding Obsoletes and
# Provides, so we expand it by hand.
%package all
Summary:	Metapackage that requires all Font Awesome fonts
Requires:	fontawesome-6-brands-fonts = 1:%{version}-%{release}
Requires:	fontawesome-6-free-fonts = 1:%{version}-%{release}

# This can be removed when F42 reaches EOL
Obsoletes:	fontawesome5-fonts-all < 5.15.4-5
Provides:	fontawesome5-fonts-all = %{version}-%{release}

%description all %_desc

This package is a metapackage that ensures all Font Awesome fonts are
installed.

%package web
License:	CC-BY-4.0
Summary:	Iconic font set, JavaScript and SVG files

# This can be removed when F42 reaches EOL
Obsoletes:	fontawesome5-fonts < 5.15.4-5
Provides:	fontawesome5-fonts = %{version}-%{release}
Obsoletes:	fontawesome5-fonts-web < 5.15.4-5
Provides:	fontawesome5-fonts-web = %{version}-%{release}

%description web %_desc

This package contains CSS, SCSS and LESS style files for each of the
fonts in the FontAwesome family, as well as JSON and YAML metadata.
It also contains JavaScript, TTF, and SVG files, which are typically
used on web pages.

%prep
%autosetup -n Font-Awesome-%{version} -p1
cp -p %SOURCE2 .

%build
%fontbuild -a

%install
%fontinstall -a

# Install the web files
mkdir -p %{buildroot}%{_datadir}/fontawesome
cp -a css js less metadata scss sprites svgs webfonts \
   %{buildroot}%{_datadir}/fontawesome

# Fix up the generated metainfo; see bz 1943727
sed -e 's,updatecontact,update_contact,g' \
    -e 's,<!\[CDATA\[\([^]]*\)\]\]>,\1,g' \
    -i %{buildroot}%{_metainfodir}/*.metainfo.xml

%check
%fontcheck -a

%fontfiles -a

%files all

%files web
%doc CHANGELOG.md README* UPGRADING.md
%license LICENSE.txt
%{_datadir}/fontawesome/

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1:6.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Dec 17 2024 Jerry James <loganjerry@gmail.com> - 1:6.7.2-1
- Version 6.7.2

* Wed Nov 20 2024 Jerry James <loganjerry@gmail.com> - 1:6.7.1-1
- Version 6.7.1

* Tue Nov 19 2024 Jerry James <loganjerry@gmail.com> - 1:6.7.0-1
- Version 6.7.0

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:6.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 Jerry James <loganjerry@gmail.com> - 1:6.6.0-1
- Version 6.6.0

* Tue Jul 16 2024 Jerry James <loganjerry@gmail.com> - 1:6.5.2-2
- Fix VCS field

* Wed Apr 03 2024 Jerry James <loganjerry@gmail.com> - 1:6.5.2-1
- Version 6.5.2

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:6.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:6.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Dec  2 2023 Jerry James <loganjerry@gmail.com> - 1:6.5.1-1
- Version 6.5.1

* Thu Nov 30 2023 Jerry James <loganjerry@gmail.com> - 1:6.5.0-1
- Version 6.5.0

* Thu Aug  3 2023 Jerry James <loganjerry@gmail.com> - 1:6.4.2-1
- Version 6.4.2

* Tue Jul 18 2023 Jerry James <loganjerry@gmail.com> - 1:6.4.0-2
- Remove redundant metainfo checks

* Mon Apr 10 2023 Jerry James <loganjerry@gmail.com> - 1:6.4.0-2
- Move obsoletes/provides to the right package (rhbz#2185459)

* Tue Mar 28 2023 Jerry James <loganjerry@gmail.com> - 1:6.4.0-1
- Version 6.4.0
- Convert License tags to SPDX
- Comply with the font policy
- Update trademarks.py for python3

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.7.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.7.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.7.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.7.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.7.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.7.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 08 2020 Miro Hrončok <mhroncok@redhat.com> - 1:4.7.0-9
- Add epoch to inter-subpackages requirement

* Wed Jul 08 2020 Fabio Alessandro Locati <fale@fedoraproject.org> - 1:4.7.0-8
- Rollback to FA4

* Tue Jul 07 2020 Fabio Alessandro Locati <fale@fedoraproject.org> - 5.13.1-2
- Provide the right font configuration
- Drop ttf format since upstream affirms that otf is to be preferred

* Sun Jul 05 2020 Fabio Alessandro Locati <fale@fedoraproject.org> - 5.13.1-1
- Update to 5.13.1

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.7.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Oct 27 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 4.7.0-1
- Update to 4.7.0

* Sun May 22 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 4.6.3-1
- Update to 4.6.3
- Update the brand icons list using the script

* Thu May 05 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 4.6.2-1
- Update to 4.6.1
- Update the brand icons list using a new script
- Add the script to create brand icons list

* Wed Apr 13 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 4.6.1-1
- Update to 4.6.0
- Update the brand list with the icons new in 4.6.0

* Tue Mar 29 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 4.5.0-1
- Update to 4.5.0
- Update the brand list with the icons new in 4.5.0

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 04 2015 Nils Philippsen <nils@redhat.com> - 4.4.0-2
- include .eot files
- amend -web license and summary, and descriptions

* Thu Sep 17 2015 Matthias Runge <mrunge@redhat.com> - 4.4.0-1
- update to 4.4.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Dec 04 2014 Matthias Runge <mrunge@redhad.com> - 4.1.0-2
- include .woff and .svg files (rhbz#1110646)

* Tue Jul 08 2014 Petr Vobornik <pvoborni@redhat.com> - 4.1.0-1
- update to version 4.1.0
- renamed web packaged dir from font-awesome-$version to font-awesome-web

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 02 2014 Petr Vobornik <pvoborni@redhat.com> - 4.0.3-1
- embeddable flag set to installable by ttembed
- web package license updated to MIT
- README-Trademarks.txt added

* Mon Nov 04 2013 Ryan Lerch <ryanlerch@fedoraproject.org> - 4.0.3-0
- initial package based off spot's package

## END: Generated by rpmautospec
